Loading...
Searching...
No Matches
pqxx::nullness< std::variant< T... > > Struct Template Reference

## Static Public Member Functions

static constexpr bool | is_null (std::variant< T... > const &value) noexcept
static constexpr std::variant< T... > | null ()=delete

## Static Public Attributes

static constexpr bool | has_null = (nullness<T>::has_null or ...)
static constexpr bool | always_null = (nullness<T>::always_null and ...)

## Member Function Documentation

## null()

template<typename... T>

static constexpr std::variant< T... > pqxx::nullness< std::variant< T... > >::null | ( |  | ) |

static constexpr delete

It would be technically possible to have a `null` in the case where just one of the types has a null, but it gets complicated and arbitrary.

The documentation for this struct was generated from the following file:

- /build/libpqxx-dRO3di/libpqxx-7.10.0/include/pqxx/internal/conversions.hxx